List Webhooks
Returns a list of all webhooks on a store associated to the client_id used to authenticate the request.
Note: BigCommerce determines the client_id from the access_token.
Authentication
X-Auth-Tokenstring
OAuth scopes
None required. Create and manage webhooks with the default scope of an API account.
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body that the client accepts. Typically application/json.
Query parameters
page
Page number.
limit
Items count per page.
is_active
Enables user to filter for webhooks that are active or not. A webhook subscription becomes deactivated after 90 days of inactivity.
scope
Enables user to filter for webhooks by scope.
destination
Enables user to filter for webhooks by destination.
Response
The requested webhook.
data
meta
Errors
401
Unauthorized Error